OGRE: Ogre::D3D11AmdExtension Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::D3D11AmdExtension Class Reference

`#include <OgreD3D11AmdExtension.h>`

Inheritance diagram for Ogre::D3D11AmdExtension:
[legend]

## Public Member Functions
| D3D11AmdExtension ()
virtual | ~D3D11AmdExtension ()
void | createDevice (const String &appName, IDXGIAdapter *adapter, D3D_DRIVER_TYPE driverType, UINT deviceFlags, D3D_FEATURE_LEVEL *pFirstFL, UINT numFeatureLevels, D3D_FEATURE_LEVEL *outFeatureLevel, ID3D11Device **outDevice)
virtual void | destroyDevice (ID3D11Device *device)

## Static Public Member Functions
static D3D11VendorExtension * | initializeExtension (GPUVendor preferredVendor, IDXGIAdapter *adapter)
static bool | recommendsAgs (IDXGIAdapter *adapter)

## Constructor & Destructor Documentation

## ◆ D3D11AmdExtension()

Ogre::D3D11AmdExtension::D3D11AmdExtension | ( |  | ) |

## ◆ ~D3D11AmdExtension()

virtual Ogre::D3D11AmdExtension::~D3D11AmdExtension | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ createDevice()

void Ogre::D3D11VendorExtension::createDevice | ( | const String & | appName,
|  | IDXGIAdapter * | adapter,
|  | D3D_DRIVER_TYPE | driverType,
|  | UINT | deviceFlags,
|  | D3D_FEATURE_LEVEL * | pFirstFL,
|  | UINT | numFeatureLevels,
|  | D3D_FEATURE_LEVEL * | outFeatureLevel,
|  | ID3D11Device ** | outDevice
| ) |  |
| inherited

## ◆ destroyDevice()

virtual void Ogre::D3D11AmdExtension::destroyDevice | ( | ID3D11Device * | device | ) |
| virtual

Reimplemented from Ogre::D3D11VendorExtension.

## ◆ initializeExtension()

static D3D11VendorExtension* Ogre::D3D11VendorExtension::initializeExtension | ( | GPUVendor | preferredVendor,
|  | IDXGIAdapter * | adapter
| ) |  |
| staticinherited

Parameters

  preferredVendor | Use GPU_UNKNOWN to determined automatically Use GPU_VENDOR_COUNT to force-disable vendor extensions (i.e. raw D3D11 API) The rest will force a particular GPU vendor extension
  adapter | The adapter to render to, in order to see which vendor extension to prefer in case there's multiple vendor GPUs in the same machine

Returns

## ◆ recommendsAgs()

static bool Ogre::D3D11AmdExtension::recommendsAgs | ( | IDXGIAdapter * | adapter | ) |
| static

The documentation for this class was generated from the following file:

- OgreD3D11AmdExtension.h